if(WIN32)
	set(LIB_DEBUG_FOLDER "libDebug/win32")
	set(LIB_RELEASE_FOLDER "libRelease/win32")
elseif(UNIX)
	if(${CMAKE_SYSTEM_VERSION} MATCHES "i686")
		set(LIB_DEBUG_FOLDER "libDebug/i686")
		set(LIB_RELEASE_FOLDER "libRelease/i686")
	elseif(${CMAKE_SYSTEM_VERSION} MATCHES "x86_64")
		set(LIB_DEBUG_FOLDER "libDebug/x86_64")
		set(LIB_RELEASE_FOLDER "libRelease/x86_64")
	endif()
endif()

#set dependencies paths
set(DEPENDENCIES_ROOT ${PROJECT_SOURCE_DIR}/../cpp_dependencies)
set(INCLUDE_ROOT ${DEPENDENCIES_ROOT}/include)


if(${CMAKE_DEBUG_TYPE} MATCHES "Debug")
	list(APPEND LIB_PATHS ${DEPENDENCIES_ROOT}/${LIB_DEBUG_FOLDER})
	list(APPEND LIB_PATHS "\n" ${DEPENDENCIES_ROOT}/${LIB_RELEASE_FOLDER})
else()
	list(APPEND LIB_PATHS ${DEPENDENCIES_ROOT}/${LIB_RELEASE_FOLDER})
endif()


find_library(SFML_LIBRARY_WINDOW
		NAMES
			sfml-window
		PATHS
			${LIB_PATHS}
	)

message(${SFML_LIBRARY_WINDOW})
